%{!?python_sitelib: %global python_sitelib %(%{__python} -c "from distutils.sysconfig import get_python_lib; print get_python_lib()")}

Summary: Simple scripting language for Web browsing
Name: python-twill
Version: 0.9
Release: 13%{?dist}
Group: Applications/Internet
License: MIT
URL: http://twill.idyll.org/
Source: http://darcs.idyll.org/~t/projects/twill-%{version}.tar.gz
# Don't use the included mechanize, pyparsing, ClientForm or subprocess
Patch0: twill-0.9-noforks.patch
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root
Requires: python-clientform
Requires: python-mechanize
Requires: pyparsing
Requires: python-setuptools
BuildRequires: python-devel
BuildRequires: python-setuptools
BuildArch: noarch

%description
twill is a simple language that allows users to browse the Web from a
command-line interface. With twill, you can navigate through Web sites that
use forms, cookies, and most standard Web features.


%prep
%setup -q -n twill-%{version}
%patch0 -p1 -b .noforks
%{__rm} -rf twill/other_packages/_mechanize_dist/


%build
%{__python} setup.py build


%install
%{__rm} -rf %{buildroot}
%{__python} setup.py install -O1 --skip-build --root %{buildroot}


%clean
%{__rm} -rf %{buildroot}



%files
%defattr(-,root,root,-)
%doc README.txt doc/LICENSE.txt doc/ANNOUNCE-*.txt
%doc doc/index.txt doc/examples.txt doc/browsing.txt doc/commands.txt
%doc doc/ChangeLog doc/developer.txt doc/advocacy/simple-example.txt
%doc doc/extensions.txt doc/python-api.txt doc/other.txt doc/testing.txt
%{python_sitelib}/twill/
%{python_sitelib}/twill-*.egg-info/
%{_bindir}/twill-fork
%{_bindir}/twill-sh


%changelog
* Thu Jun 18 2015 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.9-13
- Rebuilt for https://fedoraproject.org/wiki/Fedora_23_Mass_Rebuild

* Mon Jun 30 2014 Toshio Kuratomi <toshio@fedoraproject.org> - 0.9-12
- Replace python-setuptools-devel BR with python-setuptools

* Sat Jun 07 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.9-11
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Sun Aug 04 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.9-10
- Rebuilt for https://fedoraproject.org/wiki/Fedora_20_Mass_Rebuild

* Thu Feb 14 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.9-9
- Rebuilt for https://fedoraproject.org/wiki/Fedora_19_Mass_Rebuild

* Sat Jul 21 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.9-8
- Rebuilt for https://fedoraproject.org/wiki/Fedora_18_Mass_Rebuild

* Sat Jan 14 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.9-7
- Rebuilt for https://fedoraproject.org/wiki/Fedora_17_Mass_Rebuild

* Wed Feb 09 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.9-6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Thu Jul 22 2010 David Malcolm <dmalcolm@redhat.com> - 0.9-5
- Rebuilt for https://fedoraproject.org/wiki/Features/Python_2.7/MassRebuild

* Sat Sep 12 2009 Matthias Saou <http://freshrpms.net/> 0.9-4
- Update BR to python-setuptools-devel and add python-setuptools req (#520670).

* Sun Jul 26 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.9-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Tue Apr 14 2009 Matthias Saou <http://freshrpms.net/> 0.9-2
- Add -b .noforks to the patch0 line.
- Remove no longer needed --single-version-externally-managed option.

* Sun Apr 12 2009 Matthias Saou <http://freshrpms.net/> 0.9-1
- The original submission was abandoned (#253355), so take it from here.

* Wed Dec 24 2008 Matthias Saou <http://freshrpms.net/> 0.9-0.3
- Include patch and requirements to get rid of all the forked included
  python code and use proper packages instead.

* Tue Oct 21 2008 Matthias Saou <http://freshrpms.net/> 0.9-0.2
- Update to 0.9 final.
- Rename from twill to python-twill.

* Sat Aug 18 2007 Luke Macken <lmacken@redhat.com> - 0.9-0.1.b1
- Initial creation

